<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.*?>
<?import javafx.scene.effect.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.image.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.layout.BorderPane?>

<BorderPane prefHeight="465.0" prefWidth="705.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="ims.ui.controllers.AuthUIController">
   <center>
      <AnchorPane prefHeight="465.0" prefWidth="705.0" BorderPane.alignment="CENTER">
         <children>
            <ImageView fitHeight="470.0" fitWidth="465.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../../images/Login-1.PNG" />
               </image>
            </ImageView>
            <ImageView fitHeight="140.0" fitWidth="103.0" layoutX="460.0" layoutY="49.0" pickOnBounds="true" preserveRatio="true">
               <image>
                  <Image url="@../../images/lock_64px.png" />
               </image>
            </ImageView>
            <VBox layoutX="395.0" layoutY="195.0" prefHeight="240.0" prefWidth="249.0">
               <children>
                  <TextField fx:id="login" promptText="username" style="-fx-border-radius: 5px;">
                     <VBox.margin>
                        <Insets bottom="20.0" top="10.0" />
                     </VBox.margin>
                  </TextField>
                  <PasswordField fx:id="password" promptText="password">
                     <VBox.margin>
                        <Insets bottom="20.0" top="10.0" />
                     </VBox.margin>
                  </PasswordField>
                  <Label fx:id="errorLabel" alignment="CENTER" prefHeight="21.0" prefWidth="300.0" text="Invalid Login. Please try again !" textFill="#d71010" />
                  <Button fx:id="btnLogin" mnemonicParsing="false" onAction="#handleLogin" prefHeight="31.0" prefWidth="299.0" style="-fx-background-color: #E4AB42;" text="LOGIN">
                     <VBox.margin>
                        <Insets bottom="10.0" top="10.0" />
                     </VBox.margin>
                     <cursor>
                        <Cursor fx:constant="HAND" />
                     </cursor>
                  </Button>
                  <Button fx:id="btnCancel" mnemonicParsing="false" prefHeight="31.0" prefWidth="299.0" style="-fx-background-color: #E4AB42;" text="CANCEL">
                     <cursor>
                        <Cursor fx:constant="HAND" />
                     </cursor>
                  </Button>
               </children>
            </VBox>
         </children>
      </AnchorPane>
   </center>
</BorderPane>
